import Main from './src/components/Main'
import Link from './src/components/Link'
import Login from './src/components/login/Login'
import Vue from 'vue'

// 存储组件列表
const components = [
  Login
]

// 组件前缀
const PREFIX = 'gc';
//定义 install 方法,接收 Vue 作为参数。如果使用 use 注册插件，则所有的组件都将被注册
const install = function(Vue){
	if(install.installed) return;
	components.map(component => Vue.component(PREFIX+'-'+component.name, component) )
}


// 判断是否是直接引入文件
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}


export default { 
	// 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  Login
	
}